Bug 186536 - lang/php5: support for overriding configure flags
Summary: lang/php5: support for overriding configure flags
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-07 16:30 UTC by reinier
Modified: 2014-02-09 12:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description reinier 2014-02-07 16:30:00 UTC
I'm using poudriere to create my own packages and I would like to be able to override the default CONFIGURE_ARGS that are given to lang/php5, for instance from my /etc/make.conf like so:

.if ${.CURDIR:M*/lang/php5}
CONFIGURE_ARGS=--enable-fd-setsize=32768
.endif

However, the CONFIGURE_ARGS in /usr/ports/lang/php5/Makefile don't allow to be overridden, unless the attached diff is applied.

I don't see any harm in applying my patch, so if you don't either, please do!

Fix: Apply this diff to /usr/ports/lang/php5/Makefile:



LIB_DEPENDS=	libpcre.so:${PORTSDIR}/devel/pcre

-CONFIGURE_ARGS=	\
+CONFIGURE_ARGS+=	\
		--with-layout=GNU \
		--localstatedir=/var \
		--with-config-file-scan-dir=${PREFIX}/etc/php \--7rgsyFNjAtQVBwaiZeZRK3FlTU4gl2ebGe59vKtS16Jv10h1
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig	2014-01-12 14:36:37.978364561 +0100
+++ Makefile	2014-01-12 14:31:57.075042793 +0100
@@ -23,7 +23,7 @@
How-To-Repeat: Put the following in /etc/make.conf:
CONFIGURE_ARGS=--enable-fd-setsize=32768

Build php
make -C /usr/ports/lang/php5

and see how the fd-setsize doesn't show up in configure arguments
Comment 1 Edwin Groothuis freebsd_committer 2014-02-07 16:30:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-02-09 08:39:10 UTC
Author: ale
Date: Sun Feb  9 08:39:00 2014
New Revision: 343435
URL: http://svnweb.freebsd.org/changeset/ports/343435
QAT: https://qat.redports.org/buildarchive/r343435/

Log:
  - Update to 5.4.25 release [1]
  - Enable FPM by default [2]
  - Add support to override configure flags [3]
  
  To users requesting mod_php package, please read this:
  https://wiki.apache.org/httpd/PHP-FPM
  
  PR:		ports/186564 [1], ports/185437 [2], ports/186536 [3]
  Submitted by:	Rustem Alimov <rustem.alimov@gmail.com> [1],
  		Ilya Bakulin <webmaster@kibab.com> [2],
  		Reinier Schoof <reinier@skoef.nl> [3]

Modified:
  head/converters/php5-iconv/Makefile
  head/databases/php5-interbase/Makefile
  head/databases/php5-pdo_firebird/Makefile
  head/ftp/php5-curl/Makefile
  head/lang/php5/Makefile
  head/lang/php5/distinfo

Modified: head/converters/php5-iconv/Makefile
==============================================================================
--- head/converters/php5-iconv/Makefile	Sun Feb  9 08:08:43 2014	(r343434)
+++ head/converters/php5-iconv/Makefile	Sun Feb  9 08:39:00 2014	(r343435)
@@ -1,7 +1,6 @@
 # Created by: Alex Dupre <ale@FreeBSD.org>
 # $FreeBSD$
 
-PORTREVISION=	1
 CATEGORIES=	converters
 
 MASTERDIR=	${.CURDIR}/../../lang/php5

Modified: head/databases/php5-interbase/Makefile
==============================================================================
--- head/databases/php5-interbase/Makefile	Sun Feb  9 08:08:43 2014	(r343434)
+++ head/databases/php5-interbase/Makefile	Sun Feb  9 08:39:00 2014	(r343435)
@@ -1,7 +1,6 @@
 # Created by: Alex Dupre <ale@FreeBSD.org>
 # $FreeBSD$
 
-PORTREVISION=	1
 CATEGORIES=	databases
 
 MASTERDIR=	${.CURDIR}/../../lang/php5

Modified: head/databases/php5-pdo_firebird/Makefile
==============================================================================
--- head/databases/php5-pdo_firebird/Makefile	Sun Feb  9 08:08:43 2014	(r343434)
+++ head/databases/php5-pdo_firebird/Makefile	Sun Feb  9 08:39:00 2014	(r343435)
@@ -1,7 +1,6 @@
 # Created by: Alex Dupre <ale@FreeBSD.org>
 # $FreeBSD$
 
-PORTREVISION=	1
 CATEGORIES=	databases
 
 MASTERDIR=	${.CURDIR}/../../lang/php5

Modified: head/ftp/php5-curl/Makefile
==============================================================================
--- head/ftp/php5-curl/Makefile	Sun Feb  9 08:08:43 2014	(r343434)
+++ head/ftp/php5-curl/Makefile	Sun Feb  9 08:39:00 2014	(r343435)
@@ -2,7 +2,6 @@
 # $FreeBSD$
 
 CATEGORIES=	ftp
-PORTREVISION=	1
 
 MASTERDIR=	${.CURDIR}/../../lang/php5
 

Modified: head/lang/php5/Makefile
==============================================================================
--- head/lang/php5/Makefile	Sun Feb  9 08:08:43 2014	(r343434)
+++ head/lang/php5/Makefile	Sun Feb  9 08:39:00 2014	(r343435)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	php5
-PORTVERSION=	5.4.24
+PORTVERSION=	5.4.25
 PORTREVISION?=	0
 CATEGORIES?=	lang devel www
 MASTER_SITES=	${MASTER_SITE_PHP}
@@ -23,8 +23,7 @@ USE_AUTOTOOLS=	autoconf
 
 LIB_DEPENDS=	libpcre.so:${PORTSDIR}/devel/pcre
 
-CONFIGURE_ARGS=	\
-		--with-layout=GNU \
+CONFIGURE_ARGS+=--with-layout=GNU \
 		--localstatedir=/var \
 		--with-config-file-scan-dir=${PREFIX}/etc/php \
 		--disable-all \
@@ -38,7 +37,7 @@ CONFIGURE_ARGS=	\
 USE_GNOME=	libxml2
 
 OPTIONS_DEFINE=	CLI CGI FPM APACHE AP2FILTER EMBED DEBUG DTRACE IPV6 MAILHEAD LINKTHR ZTS
-OPTIONS_DEFAULT=CLI CGI IPV6 LINKTHR
+OPTIONS_DEFAULT=CLI CGI FPM IPV6 LINKTHR
 OPTIONS_SUB=	yes
 
 CLI_DESC=	Build CLI version

Modified: head/lang/php5/distinfo
==============================================================================
--- head/lang/php5/distinfo	Sun Feb  9 08:08:43 2014	(r343434)
+++ head/lang/php5/distinfo	Sun Feb  9 08:39:00 2014	(r343435)
@@ -1,4 +1,4 @@
-SHA256 (php-5.4.24.tar.bz2) = 97fe70eddaf5b93969714a551870fe03f6b0a387f85b83a6d63a40a76199a327
-SIZE (php-5.4.24.tar.bz2) = 12256796
+SHA256 (php-5.4.25.tar.bz2) = b6c18c07c6bf34f75e601b28829d636e44c1c9f4267aac4ed013443c32a2245f
+SIZE (php-5.4.25.tar.bz2) = 11739877
 SHA256 (php-5.4.x-mail-header.patch) = 005ae1cd8ed17c72d7b09dee9c4466e8b16d4ecba7fe11276731ed6ff9fbb344
 SIZE (php-5.4.x-mail-header.patch) = 3379
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2014-02-09 12:46:19 UTC
Author: ale
Date: Sun Feb  9 12:46:09 2014
New Revision: 343492
URL: http://svnweb.freebsd.org/changeset/ports/343492
QAT: https://qat.redports.org/buildarchive/r343492/

Log:
  - Update to 5.5.9 release
  - Enable FPM by default [2]
  - Add support to override configure flags [3]
  
  To users requesting mod_php package, please read this:
  https://wiki.apache.org/httpd/PHP-FPM
  
  PR:		ports/185438 [1], ports/186536 [2]
  Submitted by:	Ilya Bakulin <webmaster@kibab.com> [1],
  		Reinier Schoof <reinier@skoef.nl> [2]

Modified:
  head/converters/php55-iconv/Makefile
  head/databases/php55-interbase/Makefile
  head/databases/php55-pdo_firebird/Makefile
  head/lang/php55/Makefile
  head/lang/php55/distinfo

Modified: head/converters/php55-iconv/Makefile
==============================================================================
--- head/converters/php55-iconv/Makefile	Sun Feb  9 12:44:40 2014	(r343491)
+++ head/converters/php55-iconv/Makefile	Sun Feb  9 12:46:09 2014	(r343492)
@@ -1,7 +1,6 @@
 # Created by: Alex Dupre <ale@FreeBSD.org>
 # $FreeBSD$
 
-PORTREVISION=	1
 CATEGORIES=	converters
 
 MASTERDIR=	${.CURDIR}/../../lang/php55

Modified: head/databases/php55-interbase/Makefile
==============================================================================
--- head/databases/php55-interbase/Makefile	Sun Feb  9 12:44:40 2014	(r343491)
+++ head/databases/php55-interbase/Makefile	Sun Feb  9 12:46:09 2014	(r343492)
@@ -1,7 +1,6 @@
 # Created by: Alex Dupre <ale@FreeBSD.org>
 # $FreeBSD$
 
-PORTREVISION=	1
 CATEGORIES=	databases
 
 MASTERDIR=	${.CURDIR}/../../lang/php55

Modified: head/databases/php55-pdo_firebird/Makefile
==============================================================================
--- head/databases/php55-pdo_firebird/Makefile	Sun Feb  9 12:44:40 2014	(r343491)
+++ head/databases/php55-pdo_firebird/Makefile	Sun Feb  9 12:46:09 2014	(r343492)
@@ -1,7 +1,6 @@
 # Created by: Alex Dupre <ale@FreeBSD.org>
 # $FreeBSD$
 
-PORTREVISION=	1
 CATEGORIES=	databases
 
 MASTERDIR=	${.CURDIR}/../../lang/php55

Modified: head/lang/php55/Makefile
==============================================================================
--- head/lang/php55/Makefile	Sun Feb  9 12:44:40 2014	(r343491)
+++ head/lang/php55/Makefile	Sun Feb  9 12:46:09 2014	(r343492)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	php55
-PORTVERSION=	5.5.8
+PORTVERSION=	5.5.9
 PORTREVISION?=	0
 CATEGORIES?=	lang devel www
 MASTER_SITES=	${MASTER_SITE_PHP}
@@ -23,8 +23,7 @@ USE_AUTOTOOLS=	autoconf
 
 LIB_DEPENDS=	libpcre.so:${PORTSDIR}/devel/pcre
 
-CONFIGURE_ARGS=	\
-		--with-layout=GNU \
+CONFIGURE_ARGS+=--with-layout=GNU \
 		--localstatedir=/var \
 		--with-config-file-scan-dir=${PREFIX}/etc/php \
 		--disable-all \
@@ -38,7 +37,7 @@ CONFIGURE_ARGS=	\
 USE_GNOME=	libxml2
 
 OPTIONS_DEFINE=	CLI CGI FPM APACHE AP2FILTER EMBED DEBUG DTRACE IPV6 MAILHEAD LINKTHR ZTS
-OPTIONS_DEFAULT=CLI CGI IPV6 LINKTHR
+OPTIONS_DEFAULT=CLI CGI FPM IPV6 LINKTHR
 OPTIONS_SUB=	yes
 
 CLI_DESC=	Build CLI version

Modified: head/lang/php55/distinfo
==============================================================================
--- head/lang/php55/distinfo	Sun Feb  9 12:44:40 2014	(r343491)
+++ head/lang/php55/distinfo	Sun Feb  9 12:46:09 2014	(r343492)
@@ -1,4 +1,4 @@
-SHA256 (php-5.5.8.tar.bz2) = 6d5f45659d13383fc8429f185cc9da0b30c7bb72dcae9baf568f0511eb7f8b68
-SIZE (php-5.5.8.tar.bz2) = 13005675
+SHA256 (php-5.5.9.tar.bz2) = 9d1dea5195e2bcd928416130a6e19173d02bd36fb76c382522bf145c458fbed3
+SIZE (php-5.5.9.tar.bz2) = 13019443
 SHA256 (php-5.5.x-mail-header.patch) = b0b5a7c961b2052eb14d9528e76155cbeaa881fb9b4a49f452f9dab07b6fb1c4
 SIZE (php-5.5.x-mail-header.patch) = 3379
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Alex Dupre freebsd_committer 2014-02-09 12:48:35 UTC
State Changed
From-To: open->closed

Committed.